#include <stdio.h>
#include <iostream>
#include <cstdlib>
using namespace std;

int main()
{
  int n;
  cin>>n;
  int plata[n];
  double porez[n];

  for(int i=0;i<n; i++)
  {
      cin>>plata[i];
      cin>>porez[i];
  }
  //double a[n];
  double m =0;
  for(int i=0;i<n;i++)
  {
      double u=0;
      for(int l=0;l<n;l++)
      {
          if(porez[i]<= porez[l])
          {
              u = u + porez[i]*plata[l];
          }
      }
    if(m<u)
    {
        m=u;
    }
  }
  cout<<m;
}